LibreOffice: XRecentFunctions Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XRecentFunctions Interface Referencepublished

provides access to a list of recently used functions. More...

Inheritance diagram for XRecentFunctions:

## Public Member Functions
sequence< long > | getRecentFunctionIds ()
| returns a sequence of those functions that were most recently used.
void | setRecentFunctionIds ([in] sequence< long > aRecentFunctionIds)
| sets the list of those functions that were most recently used.
long | getMaxRecentFunctions ()
| returns the maximum number of entries that will be stored as recently used functions.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to a list of recently used functions.

See also
  com::sun::star::sheet::RecentFunctions

## Member Function Documentation

## ◆ getMaxRecentFunctions()

long getMaxRecentFunctions | ( |  | ) |

returns the maximum number of entries that will be stored as recently used functions.

## ◆ getRecentFunctionIds()

sequence< long > getRecentFunctionIds | ( |  | ) |

returns a sequence of those functions that were most recently used.

The functions are represented by their identifiers.

Returns
  the sequence of function identifiers most recently used.

## ◆ setRecentFunctionIds()

void setRecentFunctionIds | ( | [in] sequence< long > | aRecentFunctionIds | ) |

sets the list of those functions that were most recently used.

The functions are represented by their identifiers.

Parameters

  aRecentFunctionIds | the sequence of function identifiers most recently used.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XRecentFunctions.idl